| Home | Libraries | People | FAQ | More

##### assign_zero

assign zero values to a box, point

###### Description

The assign_zero function initializes a 2D or 3D point or box with coordinates of zero

###### Synopsis

    template<typename Geometry>
    void assign_zero(Geometry & geometry)

###### Parameters

Type | Concept | Name | Description
--- | --- | --- | ---
Geometry & | Any type fulfilling a Geometry Concept | geometry | A model of the specified concept

###### Header

Either

`#include <boost/geometry.hpp>`

Or

`#include <boost/geometry/algorithms/assign.hpp>`